org.jacoco.report.xml

## Class XMLFormatter

- java.lang.Object
- - org.jacoco.report.xml.XMLFormatter

    public class XMLFormatter
    extends Object

Report formatter that creates a single XML file for a coverage session

### Constructor Summary

Constructors
Constructor and Description
`XMLFormatter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IReportVisitor` `createVisitor(OutputStream output)` Creates a new visitor to write a report to the given stream.
`void` `setOutputEncoding(String outputEncoding)` Sets the encoding used for generated XML document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLFormatter

    public XMLFormatter()

### Method Detail

#### setOutputEncoding

    public void setOutputEncoding(String outputEncoding)

Sets the encoding used for generated XML document. Default is UTF-8.

Parameters:
  `outputEncoding` - XML output encoding

#### createVisitor

    public IReportVisitor createVisitor(OutputStream output)
                                 throws IOException

Creates a new visitor to write a report to the given stream.

Parameters:
  `output` - output stream to write the report to
Returns:
  visitor to emit the report data to
Throws:
  `IOException` - in case of problems with the output stream